获取 directoryRole
命名空间:microsoft.graph
检索 directoryRole 对象 的属性。 角色必须在租户中激活,以成功响应。
你可以将 directoryRole 的对象 ID 和模板 ID 用于此 API。 内置角色的模板 ID 是不可可变的,可以在 Azure 门户的角色描述中查看。 有关详细信息,请参阅 角色模板 ID。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | RoleManagement.Read.Directory、Directory.Read.All、RoleManagement.ReadWrite.Directory、Directory.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | RoleManagement.Read.Directory、Directory.Read.All、RoleManagement.ReadWrite.Directory、Directory.ReadWrite.All |
HTTP 请求
GET /directoryRoles/{role-id}
GET /directoryRoles/roleTemplateId={roleTemplateId}
可选的查询参数
此方法支持 OData $select 查询参数 来帮助自定义响应。
请求标头
| 名称 | 类型 | 说明 |
|---|---|---|
| Authorization | string | Bearer {token}。必需。 |
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应正文中返回 200 OK 响应代码和 directoryRole 对象。
示例
示例 1:使用角色 ID 获取目录角色的定义
请求
GET https://graph.microsoft.com/v1.0/directoryRoles/23f3b4b4-8a29-4420-8052-e4950273bbda
响应
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-type: application/json
{
"@odata.context": "https://graph.microsoft.com/v1.0/$metadata#directoryRoles/$entity",
"id": "23f3b4b4-8a29-4420-8052-e4950273bbda",
"deletedDateTime": null,
"description": "Can read sign-in and audit reports.",
"displayName": "Reports Reader",
"roleTemplateId": "4a5d8f65-41da-4de4-8968-e035b65339cf"
}
示例 2:使用 roleTemplateId 获取目录角色的定义
请求
GET https://graph.microsoft.com/v1.0/directoryRoles/roleTemplateId=4a5d8f65-41da-4de4-8968-e035b65339cf
响应
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-type: application/json
{
"@odata.context": "https://graph.microsoft.com/v1.0/$metadata#directoryRoles/$entity",
"id": "23f3b4b4-8a29-4420-8052-e4950273bbda",
"deletedDateTime": null,
"description": "Allows ability to read usage reports.",
"displayName": "Reports Reader",
"roleTemplateId": "4a5d8f65-41da-4de4-8968-e035b65339cf"
}
反馈
提交和查看相关反馈